/**
 * @fileoverview circle
 * @author dengfuping_develop@163.com
 */
import ShapeBase from './base';
declare class Circle extends ShapeBase {
    type: string;
    canFill: boolean;
    canStroke: boolean;
    getDefaultAttrs(): {
        x: number;
        y: number;
        r: number;
        lineWidth: number;
        lineAppendWidth: number;
        opacity: number;
        strokeOpacity: number;
        fillOpacity: number;
        matrix: any;
    };
    createPath(context: any, targetAttrs: any): void;
}
export default Circle;
