/**
 * @fileoverview image
 * @author dengfuping_develop@163.com
 */
import ShapeBase from './base';
declare class Image extends ShapeBase {
    type: string;
    canFill: boolean;
    canStroke: boolean;
    getDefaultAttrs(): {
        x: number;
        y: number;
        width: number;
        height: number;
        lineWidth: number;
        lineAppendWidth: number;
        opacity: number;
        strokeOpacity: number;
        fillOpacity: number;
        matrix: any;
    };
    createPath(context: any, targetAttrs: any): void;
    setAttr(name: string, value: any): void;
    _setImage(img: any): void;
}
export default Image;
