/**
 * @fileoverview text
 * @author dengfuping_develop@163.com
 */
import ShapeBase from './base';
declare class Text extends ShapeBase {
    type: string;
    canFill: boolean;
    canStroke: boolean;
    getDefaultAttrs(): {
        x: number;
        y: number;
        text: any;
        fontSize: number;
        fontFamily: string;
        fontStyle: string;
        fontWeight: string;
        fontVariant: string;
        textAlign: string;
        textBaseline: string;
        lineWidth: number;
        lineAppendWidth: number;
        opacity: number;
        strokeOpacity: number;
        fillOpacity: number;
        matrix: any;
    };
    createPath(context: any, targetAttrs: any): void;
    _setFont(): void;
    _setText(text: any): void;
}
export default Text;
