/**
 * @fileoverview rect
 * @author dengfuping_develop@163.com
 */
import ShapeBase from './base';
declare class Rect extends ShapeBase {
    type: string;
    canFill: boolean;
    canStroke: boolean;
    getDefaultAttrs(): {
        x: number;
        y: number;
        width: number;
        height: number;
        radius: number;
        lineWidth: number;
        lineAppendWidth: number;
        opacity: number;
        strokeOpacity: number;
        fillOpacity: number;
        matrix: any;
    };
    createPath(context: any, targetAttrs: any): void;
    _assembleRect(attrs: any): string;
}
export default Rect;
